Subject: Re: bug#55412: 28.1; In Emacs 28.1, using ':eval' in 'frame-title-format' doesn't work properly

From: [email-masked]
Date: Sat, 21 May 2022 11:25:22 -0000

Hello Alan and Eli,

Alan Mackenzie wrote at Fri, 20 May 2022 20:39:06 +0000:

> On Sat, May 14, 2022 at 19:58:13 +0300, Eli Zaretskii wrote:
> > > Date: Sat, 14 May 2022 15:45:10 -0000
> > > From: Christian Tanzer <[email-masked]>
>
> > > ;;; In Emacs 28.1, using ':eval' in 'frame-title-format' doesn't work like it
> > > ;;; used to in Emacs 27 and earlier. In fact, it is completely broken, if one
> > > ;;; uses a frame-parameter in ':eval'.
>
> [ .... ]
>
> > Thank you for your report.
>
> > Alan, this is due to one of the changes introduced for the
> > minibuffer-follows-selected-frame feature.  Specifically, commit
> > 7c2ebf6 made a change in gui_consider_frame_title which causes this
> > regression.  If I revert a part of that commit shown below:
>
> [ .... ]
>
> I have now committed the patch from Wednesday (slightly amended) to the
> emacs-28 branch at savannah.  This should have fixed the bug.

Thank you. I was very impressed how fast you guys moved!

> Christian, if downloading the latest version from the savannah server is
> inconvenient, please let me know, and I will send you the patch by email
> so that you can patch your own version of Emacs 28.

Unfortunately, I'll have to wait for 28.2. But thanks for the offer
nevertheless.

I needed to move back to Emacs 27.2 because there are some other bugs
in 28.1 that I have no idea how to properly report:

- Emacs 28.1 most often crashes after loading a .emacs.desktop.

  It doesn't crash without a .emacs.desktop or with a simple one, but
  at the moment I cannot start 28.1 on any of my usual .emacs.desktop
  files without a crash. I suspect only a reboot will solve that.

  After the last reboot, I could start 28.1 once with a complex
  .emacs.desktop, for a second (simultaneous) Emacs instance with a
  different .emacs.desktop I had to use Emacs 27.2.

  Would it help to supply one of the crash dumps that macOS displayed
  and how would I submit such a bug report?

- The second bug concerns .emacs.desktop.lock files. For some reason,
  28.1 doesn't remove the lock file when exiting.

  Obviously, this isn't reproducible with `emacs -Q`. Again, how would
  I submit such a bug report?

Thanks again and have a nice weekend,

Christian

PS: ATM, I'm not set up to compile Emacs myself as I temporarily moved
    into a very small house and don't have any Linux machine here. I'm
    not masochistic enough to setup up a compilation environment on
    the little Macbook I have (which is severly lacking on disc space).